## mesaflash 3.4.0

=== Makefile ===
#
#    Copyright (C) 2013-2014 Michael Geszkiewicz
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#

# target (linux, windows)
TARGET = linux
LIBNAME = libanyio
LIBANYIO = $(LIBNAME).a

CC = gcc
RM = rm -f
AR = ar
RANLIB = ranlib

OWNERSHIP ?= --owner root --group root

# default CFLAGS
CFLAGS ?= -O0 -g -Wall -Wextra -Werror

# mesaflash needs at least C99 to compile.
#
# The oldest distros we support are Debian Wheezy (EOL 2018-05-31)
# and Ubuntu Precise (EOL 2017-04-28):
#
#     Debian Wheezy has gcc 4.7.2, which defaults to C90 but supports C11.
#
#     Ubuntu Precise has gcc 4.6.3, which defaults to C90 but supports
#     C99 (but does not support C11).
#
# So we explicitly select the newest ancient C standard that we have to
# support here.
CFLAGS += -std=c99

ifeq ($(TARGET),linux)
    $(shell which pkg-config > /dev/null)
    ifeq ($(.SHELLSTATUS), 1)
        $(error "can't find pkg-config")
    endif

    $(shell pkg-config --exists libpci > /dev/null)
    ifeq ($(.SHELLSTATUS), 1)
        $(error "pkg-config can't find libpci")
    endif

    LIBPCI_CFLAGS := $(shell pkg-config --cflags libpci)
    LIBPCI_LDFLAGS := $(shell pkg-config --libs libpci)
    BIN = mesaflash
    LDFLAGS = -lm $(LIBPCI_LDFLAGS)
    CFLAGS += -D_GNU_SOURCE $(LIBPCI_CFLAGS) -D_FILE_OFFSET_BITS=64

    UNAME_M := $(shell uname -m)
    ifeq ($(UNAME_M),aarch64)
        MESAFLASH_IO ?= 0
    endif
endif

ifeq ($(TARGET),windows)
    MINGW = c:/MinGW
    CFLAGS += -I$(MINGW)/include
    BIN = mesaflash.exe
    LDFLAGS = -lwsock32 -lws2_32 libpci.dll winio32.dll
    CFLAGS += -mno-ms-bitfields
endif

MESAFLASH_IO ?= 1
CFLAGS += -DMESAFLASH_IO=$(MESAFLASH_IO)

objects = common.o lbp.o lbp16.o bitfile.o hostmot2.o eeprom.o anyio.o eth_boards.o epp_boards.o usb_boards.o pci_boards.o
objects += sserial_module.o encoder_module.o eeprom_local.o eeprom_remote.o spi_boards.o serial_boards.o

headers = eth_boards.h pci_boards.h epp_boards.h usb_boards.h spi_boards.h serial_boards.h anyio.h hostmot2.h lbp16.h types.h
headers +=  common.h eeprom.h lbp.h eeprom_local.h eeprom_remote.h bitfile.h sserial_module.h hostmot2_def.h boards.h
headers +=  encoder_module.h

all: $(LIBANYIO) $(BIN) pci_encoder_read pci_analog_write

$(LIBANYIO) : $(objects)
	$(RM) $(LIBANYIO) $(BIN)
	$(AR) rcs $(LIBANYIO) $(objects)
	$(RANLIB) $(LIBANYIO)

mesaflash.o : mesaflash.c $(headers)
	$(CC) $(CFLAGS) -c mesaflash.c

$(BIN): mesaflash.o anyio.h $(LIBANYIO)
	$(CC) $(CFLAGS) -o $(BIN) mesaflash.o $(LIBANYIO) $(LDFLAGS)

anyio.o : anyio.c $(headers)
	$(CC) $(CFLAGS) -c anyio.c

eth_boards.o : eth_boards.c $(headers)
	$(CC) $(CFLAGS) -c eth_boards.c

pci_boards.o : pci_boards.c $(headers)
	$(CC) $(CFLAGS) -c pci_boards.c

epp_boards.o : epp_boards.c $(headers)
	$(CC) $(CFLAGS) -c epp_boards.c

usb_boards.o : usb_boards.c $(headers) 
	$(CC) $(CFLAGS) -c usb_boards.c

spi_boards.o : spi_boards.c $(headers)
	$(CC) $(CFLAGS) -c spi_boards.c

serial_boards.o : serial_boards.c $(headers)
	$(CC) $(CFLAGS) -c serial_boards.c

sserial_module.o : sserial_module.c $(headers)
	$(CC) $(CFLAGS) -c sserial_module.c

encoder_module.o : encoder_module.c $(headers)
	$(CC) $(CFLAGS) -c encoder_module.c

eeprom_local.o : eeprom_local.c $(headers)
	$(CC) $(CFLAGS) -c eeprom_local.c

eeprom_remote.o : eeprom_remote.c $(headers)
	$(CC) $(CFLAGS) -c eeprom_remote.c

lbp.o : lbp.c $(headers)
	$(CC) $(CFLAGS) -c lbp.c

lbp16.o : lbp16.c $(headers)
	$(CC) $(CFLAGS) -c lbp16.c

hostmot2.o : hostmot2.c $(headers)
	$(CC) $(CFLAGS) -c hostmot2.c

eeprom.o : eeprom.c $(headers)
	$(CC) $(CFLAGS) -c eeprom.c

bitfile.o : bitfile.c $(headers)
	$(CC) $(CFLAGS) -c bitfile.c

common.o : common.c $(headers)
	$(CC) $(CFLAGS) -c common.c

pci_encoder_read.o : examples/pci_encoder_read.c $(LIBANYIO) $(headers)
	$(CC) $(CFLAGS) -c examples/pci_encoder_read.c

pci_encoder_read: pci_encoder_read.o anyio.h encoder_module.h
	$(CC) $(CFLAGS) -o pci_encoder_read pci_encoder_read.o $(LIBANYIO) $(LDFLAGS)

pci_analog_write.o : examples/pci_analog_write.c $(LIBANYIO) $(headers)
	$(CC) $(CFLAGS) -c examples/pci_analog_write.c

pci_analog_write: pci_analog_write.o anyio.h sserial_module.h
	$(CC) $(CFLAGS) -o pci_analog_write pci_analog_write.o $(LIBANYIO) $(LDFLAGS)

clean :
	$(RM) *.o $(LIBANYIO) $(BIN) pci_encoder_read pci_analog_write

.PHONY: install
install: $(BIN)
	install -p -D --mode=0755 $(OWNERSHIP) $(BIN) $(DESTDIR)/bin/$(BIN)
	install -p -D --mode=0644 $(OWNERSHIP) mesaflash.1 $(DESTDIR)/share/man/man1/mesaflash.1

=== debian/changelog ===
mesaflash (3.4.0-2) unstable; urgency=medium

  * Revised d/copyright

 -- Sebastian Kuzminsky <seb@highlab.com>  Sat, 20 Nov 2021 17:52:00 +0100

mesaflash (3.4.0-1) UNRELEASED; urgency=medium

  * Cosmetics in preparation of upload to Debian.
  * Several bug fixes.
  * Fixes for PCI on Raspberry Pi Compute Module 4.
  * Better daughter-board reporting.
  * No longer support building on Windows.
  * Better IO error detection and handling.

 -- LinuxCNC Developers <emc-developers@lists.sourceforge.net>  Mon, 27 Sep 2021 16:36:14 -0600

mesaflash (3.4.0~pre1-1) UNRELEASED; urgency=medium

  * Add a manpage.
  * Fix several compile warnings.
  * Add `--device AUTO` and `--device SPI`.

 -- LinuxCNC Developers <emc-developers@lists.sourceforge.net>  Fri, 22 May 2020 10:30:23 -0600

mesaflash (3.4.0~pre0-1) UNRELEASED; urgency=medium

  * mesaflash is now maintained by the LinuxCNC organization.

 -- LinuxCNC Developers <emc-developers@lists.sourceforge.net>  Thu, 23 Apr 2020 10:34:49 -0600

mesaflash (3.3.0~pre0+dfsg-0) UNRELEASED; urgency=low

  * support Mesa 7i93 ethernet board
  * support Mesa 7i96 ethernet board
  * Verify firmware after writing
  * Many bug fixes

 -- Sebastian Kuzminsky <seb@highlab.com>  Tue, 27 Jun 2017 21:52:31 -0600

mesaflash (3.2.1) UNRELEASED; urgency=low

  * Fix some compile warnings and link issues on Debian Stretch.

 -- Sebastian Kuzminsky <seb@highlab.com>  Tue, 27 Jun 2017 10:25:59 -0600

mesaflash (3.2.0) UNRELEASED; urgency=low

  * Don't check bitfile destinations while gpio recovering 6i24/6i25 boards
  * Use modules base address from module descriptor, not from regmap
  * Don't check bitfile id for 5i24 and 6i24 while --write and --verify
  * Fix support for 7i92, 5i24 and 6i24
  * Add support for 6i24 PCIE board
  * Improve and clean reporting sserial remote data
  * Show FPGA programming time in verbose mode
  * Always show full info about bit file while using 'info' command
  * Add xml output from 'readhmid' command to use with pncconf

 -- Michael Geszkiewicz <micges@wp.pl>  27 Sep 2015 19:24:42 -0500

mesaflash (3.1.0) UNRELEASED; urgency=low

  * First stable release.
  * Support 7i90HD under linux in SPI and rs422 mode
  * Better EPP support
  * Support ICAP firmware reloading on ethernet and pci boards.
  * Print more debug data in verbose mode
  * Use default device address (0x378 for epp and 192.168.1.121 for eth)
    if --addr option is missing in command line
  * Reduce overhead of verify operation (thanks jepler)
  * Don't write and verify flash if bitfile destination part name is not
    equal to current board fpga name
  * Add support for 7i92 ethernet board
  * Update windows port
  * Correctly generates *.pin files with option --readhmid
  * Show details about connected sserial devices with --sserial
  * Factor out all libanyio access code to external static library
  * Add support for write/verify eeprom on 7i43 board via EPPIO bitfile
  * Add command to set remote ip address in ethernet eeprom
  * Remove obsolete command line options
  * Add example programs how to use libanyio to communicate with 7i77
    (encoder in and analog out)

 -- Michael Geszkiewicz <micges@wp.pl>  Sat, 24 Nov 2014 01:07:22 -0500

mesaflash (3.0.0) UNRELEASED; urgency=low

  * Initial release.

 -- Michael Geszkiewicz <micges@wp.pl>  Sat, 19 Apr 2014 21:03:31 -0500

=== debian/control ===
Source: mesaflash
Maintainer: LinuxCNC Developers <emc-developers@lists.sourceforge.net>
Uploaders: Sebastian Kuzminsky <seb@highlab.com>, Jeff Epler <jepler@gmail.com>
Section: misc
Priority: optional
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
               libpci-dev,
               pkg-config
Vcs-Browser: https://github.com/linuxcnc/mesaflash
Vcs-git: https://github.com/LinuxCNC/mesaflash.git -b master

Package: mesaflash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mesa Electronics utility tool
 This package provides a tool for the configuration and/or diagnosis of
 Mesa Electronics boards. The cards provide I/O channels for robotics
 applications and have a strong user base in the LinuxCNC community.
 This tool works for all cards, be they directly plugged into your
 computer via PCI(E) or connected by a cable (ETH/EPP/USB/SPI).

## mesaflash 3.4.2

=== debian/changelog ===
mesaflash (3.4.2-1) unstable; urgency=medium

  * Switch from openssl to libmd for sha256.

  * Upload sponsored by Petter Reinholdtsen.

 -- Sebastian Kuzminsky <seb@highlab.com>  Sun, 16 Jan 2022 09:47:57 -0700

mesaflash (3.4.1-1) unstable; urgency=medium

  * Add --backup-flash and --restore-flash command-line options.
  * Add --sha256-check command-line option.
  * Fix building on more platforms that lack sys/io.h.
  * Add Homepage link, fix Source link.  Closes: #1001880

 -- Sebastian Kuzminsky <seb@highlab.com>  Sat, 15 Jan 2022 12:38:11 -0700

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,11 @@
 Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
                libpci-dev,
+               libmd-dev,
                pkg-config
+Homepage: https://github.com/LinuxCNC/mesaflash
 Vcs-Browser: https://github.com/linuxcnc/mesaflash
-Vcs-git: https://github.com/LinuxCNC/mesaflash.git -b master
+Vcs-Git: https://github.com/LinuxCNC/mesaflash.git -b master
 
 Package: mesaflash
 Architecture: any

## mesaflash 3.4.6

=== Makefile ===
--- 
+++ 
@@ -56,16 +56,68 @@
         $(error "pkg-config can't find libpci")
     endif
 
+    $(shell pkg-config --exists libmd > /dev/null)
+    ifeq ($(.SHELLSTATUS), 1)
+        $(error "pkg-config can't find libmd")
+    endif
+
     LIBPCI_CFLAGS := $(shell pkg-config --cflags libpci)
     LIBPCI_LDFLAGS := $(shell pkg-config --libs libpci)
+    LIBMD_CFLAGS := $(shell pkg-config --cflags libmd)
+    LIBMD_LDFLAGS := $(shell pkg-config --libs libmd)
     BIN = mesaflash
-    LDFLAGS = -lm $(LIBPCI_LDFLAGS)
-    CFLAGS += -D_GNU_SOURCE $(LIBPCI_CFLAGS) -D_FILE_OFFSET_BITS=64
+    LDFLAGS = -lm $(LIBPCI_LDFLAGS) $(LIBMD_LDFLAGS)
+    CFLAGS += -D_GNU_SOURCE $(LIBPCI_CFLAGS) $(LIBMD_CFLAGS) -D_FILE_OFFSET_BITS=64
 
     UNAME_M := $(shell uname -m)
+
+    #
+    # A bunch of platforms lack `sys/io.h`, which means mesaflash builds
+    # without support for EPP or PCI cards.
+    #
+
     ifeq ($(UNAME_M),aarch64)
         MESAFLASH_IO ?= 0
     endif
+
+    ifeq ($(patsubst arm%,arm,$(UNAME_M)),arm)
+        ifeq ($(wildcard /usr/include/arm-linux-gnueabihf/asm/io.h),)
+            MESAFLASH_IO ?= 0
+        endif
+    endif
+
+    ifeq ($(UNAME_M),parisc)
+        MESAFLASH_IO ?= 0
+    endif
+
+    ifeq ($(UNAME_M),m68k)
+        MESAFLASH_IO ?= 0
+    endif
+
+    ifeq ($(patsubst mips%,mips,$(UNAME_M)),mips)
+        MESAFLASH_IO ?= 0
+    endif
+
+    ifeq ($(patsubst ppc%,ppc,$(UNAME_M)),ppc)
+        MESAFLASH_IO ?= 0
+    endif
+
+    ifeq ($(UNAME_M),riscv64)
+        MESAFLASH_IO ?= 0
+    endif
+
+    ifeq ($(patsubst s390%,s390,$(UNAME_M)),s390)
+        MESAFLASH_IO ?= 0
+    endif
+
+    ifeq ($(UNAME_M),sh)
+        MESAFLASH_IO ?= 0
+    endif
+
+    ifeq ($(UNAME_M),sparc64)
+        MESAFLASH_IO ?= 0
+    endif
+
 endif
 
 ifeq ($(TARGET),windows)

=== debian/changelog ===
mesaflash (3.4.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089387)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 14:49:53 +0000

mesaflash (3.4.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ zhangdandan <zhangdandan@loongson.cn> ]
  * Add support for loongarch64 (Closes: #1074041)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Sep 2024 15:48:44 +0200

mesaflash (3.4.6-1) unstable; urgency=medium

  * Add new Mesa boards: 7C81, 7I96S, 7I92T
  * Add OutM and OneShoto module support.
  * Add backup/restore for PCI cards.
  * Add support for Efinix FPGAs.
  * Show daughterboards better.
  * Add --print-lio to show Local I/O pins.
  * Add --version.
  * Better manpage and --help info.
  * Misc bugfixes.

  * Upload sponsored by Petter Reinholdtsen.

 -- Sebastian Kuzminsky <seb@highlab.com>  Sat, 05 Nov 2022 12:38:09 -0600

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Sebastian Kuzminsky <seb@highlab.com>, Jeff Epler <jepler@gmail.com>
 Section: misc
 Priority: optional
+Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
                libpci-dev,

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/mesaflash/usr OWNERSHIP= install

.PHONY: get-orig-source
get-orig-source: $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz

$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz:
	git archive --prefix="mesaflash/" HEAD | xz --compress > $@

## mesaflash 3.4.9%2Bgit20250302

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,18 @@
 #!/usr/bin/make -f
+include /usr/share/dpkg/architecture.mk
+DPKG_EXPORT_BUILDTOOLS=1
+include /usr/share/dpkg/buildtools.mk
 include /usr/share/dpkg/pkg-info.mk
+
+# Makefile uses uname, which is wrong for cross builds.
+MESAFLASH_IO:=$(if $(wildcard /usr/include/$(DEB_HOST_MULTIARCH)/asm/io.h),1,0)
+export MESAFLASH_IO
 
 %:
 	dh $@
 
 override_dh_auto_install:
-	$(MAKE) DESTDIR=$$(pwd)/debian/mesaflash/usr OWNERSHIP= install
+	$(MAKE) DESTDIR=$$(pwd)/debian/mesaflash/usr install
 
 .PHONY: get-orig-source
 get-orig-source: $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz

## mesaflash 3.4.9+git20250302

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,7 @@
 RM = rm -f
 AR = ar
 RANLIB = ranlib
+PKG_CONFIG ?= pkg-config
 
 OWNERSHIP ?= --owner root --group root
 
@@ -46,25 +47,25 @@
 CFLAGS += -std=c99
 
 ifeq ($(TARGET),linux)
-    $(shell which pkg-config > /dev/null)
+    $(shell which $(PKG_CONFIG) > /dev/null)
     ifeq ($(.SHELLSTATUS), 1)
         $(error "can't find pkg-config")
     endif
 
-    $(shell pkg-config --exists libpci > /dev/null)
+    $(shell $(PKG_CONFIG) --exists libpci > /dev/null)
     ifeq ($(.SHELLSTATUS), 1)
         $(error "pkg-config can't find libpci")
     endif
 
-    $(shell pkg-config --exists libmd > /dev/null)
+    $(shell $(PKG_CONFIG) --exists libmd > /dev/null)
     ifeq ($(.SHELLSTATUS), 1)
         $(error "pkg-config can't find libmd")
     endif
 
-    LIBPCI_CFLAGS := $(shell pkg-config --cflags libpci)
-    LIBPCI_LDFLAGS := $(shell pkg-config --libs libpci)
-    LIBMD_CFLAGS := $(shell pkg-config --cflags libmd)
-    LIBMD_LDFLAGS := $(shell pkg-config --libs libmd)
+    LIBPCI_CFLAGS := $(shell $(PKG_CONFIG) --cflags libpci)
+    LIBPCI_LDFLAGS := $(shell $(PKG_CONFIG) --libs libpci)
+    LIBMD_CFLAGS := $(shell $(PKG_CONFIG) --cflags libmd)
+    LIBMD_LDFLAGS := $(shell $(PKG_CONFIG) --libs libmd)
     BIN = mesaflash
     LDFLAGS = -lm $(LIBPCI_LDFLAGS) $(LIBMD_LDFLAGS)
     CFLAGS += -D_GNU_SOURCE $(LIBPCI_CFLAGS) $(LIBMD_CFLAGS) -D_FILE_OFFSET_BITS=64
@@ -84,6 +85,10 @@
         ifeq ($(wildcard /usr/include/arm-linux-gnueabihf/asm/io.h),)
             MESAFLASH_IO ?= 0
         endif
+    endif
+
+    ifeq ($(UNAME_M),loongarch64)
+        MESAFLASH_IO ?= 0
     endif
 
     ifeq ($(UNAME_M),parisc)

=== debian/changelog ===
mesaflash (3.4.9+git20250302-1) unstable; urgency=medium

  * Add set ledmode option
  * Add inverted txen pin printout to pktuart and sserial
  * Merge pull request #77 from fangyaling/master
  * Add check for new arch Loongarch64 (Closes: #1081384)
  * Add patch by Helmut Grohne for cross-builds (Closes: #1070025)

  [ Steffen Moeller ]
  * Added Andy to uploaders
  * Build-Depends: pkg-config => pkgconf
  * Bumped policy to 4.7.2
  * Bumped debian/compat to 10

 -- Andy Pugh <andy@bodgesoc.org>  Sun, 15 Oct 2023 20:25:51 +0100

mesaflash (3.4.8-1) unstable; urgency=medium

  * Fix recover option for 6I24/6I25 (broken by name munging)
  * Merge pull request #76 from sensille/litehm2
  * Add MPG encoder names to inm module pins
  * mesaflash: add first support for litehm2
  * Add MX3660, MX4660 pinouts
  * Add the period measurement module
  * Add 5I25T reload support
  * Forgot the PCI default FPGA type
  * Add 7I80HDT,5I25T support
  * Fix some typos in 7I97 and 7I95 pinouts

 -- Peter C. Wallace <pcw@mesanet.com>  Wed, 19 Jul 2023 20:25:51 -0700

mesaflash (3.4.7-1) unstable; urgency=medium

  * Add 7I95T support, Fix boot jumper UP/UP meaning for Efinix
  * Bugfix: Lengthen Efinix file header max path length
  * Merge pull request #75 from LinuxCNC/fix-ci
  * gitbug actions: add some whitespace to make the list more legible
  * github actions: teach vim about shiftwidth in this file
  * github actions: minor reorg
  * github actions: bump actions/checkout version
  * dch: add note that uploads are sponsored by Petter Reinholdtsen

 -- Peter C. Wallace <pcw@mesanet.com>  Thu, 16 Feb 2023 20:25:51 -0700

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: mesaflash
 Maintainer: LinuxCNC Developers <emc-developers@lists.sourceforge.net>
-Uploaders: Sebastian Kuzminsky <seb@highlab.com>, Jeff Epler <jepler@gmail.com>
+Uploaders: Sebastian Kuzminsky <seb@highlab.com>,
+           Jeff Epler <jepler@gmail.com>,
+           Andy Pugh <andy@bodgesoc.org>
 Section: misc
 Priority: optional
-Rules-Requires-Root: no
-Standards-Version: 4.6.0
-Build-Depends: debhelper-compat (= 13),
+Standards-Version: 4.7.2
+Build-Depends: debhelper (>= 9),
                libpci-dev,
                libmd-dev,
-               pkg-config
+               pkgconf
+Rules-Requires-Root: binary-targets
 Homepage: https://github.com/LinuxCNC/mesaflash
 Vcs-Browser: https://github.com/linuxcnc/mesaflash
 Vcs-Git: https://github.com/LinuxCNC/mesaflash.git -b master
